package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevDoorMapper;
import com.ruoyi.project.patrol.dev.domain.TDevDoor;
import com.ruoyi.project.patrol.dev.service.ITDevDoorService;

/**
 * 常闭式防爆门/防火门Service业务层处理
 * 
 * @author admin
 * @date 2023-11-07
 */
@Service
public class TDevDoorServiceImpl implements ITDevDoorService 
{
    @Autowired
    private TDevDoorMapper tDevDoorMapper;

    /**
     * 查询常闭式防爆门/防火门
     * 
     * @param id 常闭式防爆门/防火门主键
     * @return 常闭式防爆门/防火门
     */
    @Override
    public TDevDoor selectTDevDoorById(Long id)
    {
        return tDevDoorMapper.selectTDevDoorById(id);
    }

    /**
     * 查询常闭式防爆门/防火门列表
     * 
     * @param tDevDoor 常闭式防爆门/防火门
     * @return 常闭式防爆门/防火门
     */
    @Override
    public List<TDevDoor> selectTDevDoorList(TDevDoor tDevDoor)
    {
        return tDevDoorMapper.selectTDevDoorList(tDevDoor);
    }

    /**
     * 新增常闭式防爆门/防火门
     * 
     * @param tDevDoor 常闭式防爆门/防火门
     * @return 结果
     */
    @Override
    public int insertTDevDoor(TDevDoor tDevDoor)
    {
        return tDevDoorMapper.insertTDevDoor(tDevDoor);
    }

    /**
     * 修改常闭式防爆门/防火门
     * 
     * @param tDevDoor 常闭式防爆门/防火门
     * @return 结果
     */
    @Override
    public int updateTDevDoor(TDevDoor tDevDoor)
    {
        return tDevDoorMapper.updateTDevDoor(tDevDoor);
    }

    /**
     * 批量删除常闭式防爆门/防火门
     * 
     * @param ids 需要删除的常闭式防爆门/防火门主键
     * @return 结果
     */
    @Override
    public int deleteTDevDoorByIds(Long[] ids)
    {
        return tDevDoorMapper.deleteTDevDoorByIds(ids);
    }

    /**
     * 删除常闭式防爆门/防火门信息
     * 
     * @param id 常闭式防爆门/防火门主键
     * @return 结果
     */
    @Override
    public int deleteTDevDoorById(Long id)
    {
        return tDevDoorMapper.deleteTDevDoorById(id);
    }
}
